Package org.jacoco.core.internal.analysis.filter

## Interface IFilterContext

All Known Implementing Classes:
  `ClassAnalyzer`

    public interface IFilterContext

Context information provided to filters.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.Set<java.lang.String>` `getClassAnnotations()`
`java.lang.String` `getClassName()`
`java.lang.String` `getSourceDebugExtension()`
`java.lang.String` `getSourceFileName()`
`java.lang.String` `getSuperClassName()`

### Method Detail

#### getClassName

    java.lang.String getClassName()

Returns:
  vm name of the enclosing class

#### getSuperClassName

    java.lang.String getSuperClassName()

Returns:
  vm name of the super class of the enclosing class

#### getClassAnnotations

    java.util.Set<java.lang.String> getClassAnnotations()

Returns:
  vm names of the class annotations of the enclosing class

#### getSourceFileName

    java.lang.String getSourceFileName()

Returns:
  file name of the corresponding source file or `null` if not available

#### getSourceDebugExtension

    java.lang.String getSourceDebugExtension()

Returns:
  value of SourceDebugExtension attribute or `null` if not available